Package org.eclipse.jface.databinding.viewers

## Class ViewerProperties

- java.lang.Object
- - org.eclipse.jface.databinding.viewers.ViewerProperties

    @Deprecated
    public class ViewerProperties
    extends Object

Deprecated.
This class will be removed in a future release. See https://bugs.eclipse.org/bugs/show_bug.cgi?id=546822 for more information. It has been replaced by the class `ViewerProperties`. That class creates typed property objects, while this class creates raw property objects.
A factory for creating properties of JFace `viewers`.

Since:
  1.3
Restriction:

### Constructor Summary

Constructors
`ViewerProperties()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static IViewerSetProperty` `checkedElements​(Object elementType)` Deprecated. Returns a set property for observing the checked elements of a `CheckboxTableViewer`, `CheckboxTreeViewer` or `ICheckable`.
`static IViewerSetProperty` `filters()` Deprecated. Returns a value property for observing the input of a `StructuredViewer`.
`static IViewerValueProperty` `input()` Deprecated. Returns a value property for observing the input of a `Viewer`.
`static IViewerListProperty` `multiplePostSelection()` Deprecated. Returns a list property for observing the multiple post selection of an `IPostSelectionProvider`.
`static IViewerListProperty` `multipleSelection()` Deprecated. Returns a list property for observing the multiple selection of an `ISelectionProvider`.
`static IViewerValueProperty` `singlePostSelection()` Deprecated. Returns a value property for observing the single post selection of a `IPostSelectionProvider`.
`static IViewerValueProperty` `singleSelection()` Deprecated. Returns a value property for observing the single selection of a `ISelectionProvider`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewerProperties

    public ViewerProperties()

Deprecated.

### Method Detail

#### checkedElements

    public static IViewerSetProperty checkedElements​(Object elementType)

Deprecated.
Returns a set property for observing the checked elements of a `CheckboxTableViewer`, `CheckboxTreeViewer` or `ICheckable`.

Parameters:
  `elementType` - the element type of the returned property
Returns:
  a set property for observing the checked elements of a `CheckboxTableViewer`, `CheckboxTreeViewer` or `ICheckable`.

#### filters

    public static IViewerSetProperty filters()

Deprecated.
Returns a value property for observing the input of a `StructuredViewer`.

Returns:
  a value property for observing the input of a `StructuredViewer`.

#### input

    public static IViewerValueProperty input()

Deprecated.
Returns a value property for observing the input of a `Viewer`.

Returns:
  a value property for observing the input of a `Viewer`.

#### multipleSelection

    public static IViewerListProperty multipleSelection()

Deprecated.
Returns a list property for observing the multiple selection of an `ISelectionProvider`.

Returns:
  a list property for observing the multiple selection of an `ISelectionProvider`.

#### multiplePostSelection

    public static IViewerListProperty multiplePostSelection()

Deprecated.
Returns a list property for observing the multiple post selection of an `IPostSelectionProvider`.

Returns:
  a list property for observing the multiple post selection of an `IPostSelectionProvider`.
Since:
  1.4

#### singleSelection

    public static IViewerValueProperty singleSelection()

Deprecated.
Returns a value property for observing the single selection of a `ISelectionProvider`.

Returns:
  a value property for observing the single selection of a `ISelectionProvider`.

#### singlePostSelection

    public static IViewerValueProperty singlePostSelection()

Deprecated.
Returns a value property for observing the single post selection of a `IPostSelectionProvider`.

Returns:
  a value property for observing the single post selection of a `IPostSelectionProvider`.
Since:
  1.4